File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
http://aspose.com/file-tools
The moose likes BEA/Weblogic and the fly likes problems upgrading domain from 10.1 to 10.3.2 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Products » BEA/Weblogic
Bookmark "problems upgrading domain from 10.1 to 10.3.2" Watch "problems upgrading domain from 10.1 to 10.3.2" New topic
Author

problems upgrading domain from 10.1 to 10.3.2

M Koejehuis
Greenhorn

Joined: Feb 16, 2010
Posts: 1
Hello all,
First of all, thanks for taking the time to read this and im a java noob, so please be complete in your replies.

Im trying to upgrade 2 weblogic domains on AIX (whitout GUI possibilities) from v10.1 to v 10.3.2. To accomplish this I did a full weblogic server install of 10.3.2 next to the 10.1 install.
I created the necessary xml files to silently upgrade the domains (weblogic-upgrade-domain-responses.xml)
I set the enviroment by using the setWLSEnv.sh script and started the upgrade from the domain directory I want to upgrade like the following:

java weblogic.Upgrade -mode silent -type domain -responses /home/beawl/weblogic-upgrade-domain-responses.xml -out /tmp/upgradeDomain.log

I get the following error:
2010-02-16 10:34:27,066 ERROR [invokeStaticMethod] com.bea.plateng.wizard.silent.tasks.InvokeStaticMethodTask - Unable to invoke parse on class <com.bea.plateng.plugin.SilentResponseParser>
java.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:48)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:37)
at java.lang.reflect.Method.invoke(Method.java:600)
at com.bea.plateng.wizard.silent.tasks.InvokeStaticMethodTask.execute(InvokeStaticMethodTask.java:304)
at com.bea.plateng.wizard.silent.tasks.AbstractSilentTask.run(AbstractSilentTask.java:28)
at java.lang.Thread.run(Thread.java:736)
Caused by: java.lang.IllegalArgumentException: InputStream cannot be null
at javax.xml.parsers.DocumentBuilder.parse(Unknown Source)
at com.bea.plateng.plugin.SilentResponseParser.parse(SilentResponseParser.java:62)
... 7 more
2010-02-16 10:34:27,071 ERROR [invokeStaticMethod] com.bea.plateng.wizard.silent.tasks.InvokeStaticMethodTask - parameterValue 0 = </home/beawl/weblogic-upgrade-domain-responses.xml>

Then I tried to upgrade by using the upgrade.sh script in WL_HOME/common/bin

./upgrade.sh -mode=silent -type=domain -responses=/home/beawl/weblogic-upgrade-domain-responses.xml -out=/tmp/upgradeDomain.log

This gives me the following error :

Calling Wizard framework for upgrade: args2: [-mode=gui, -file=wcf/plugin_gui_wizard.xml, -log=/bea/user_projects/upgrade_logs/domain_02152010_175706_1, -p:plugin:plugin.executionPlan.file=weblogic/upgrade/domain/execplan.xml, -p:plugin:I18N_PLUGIN=weblogic/upgrade/i18n_upgrade, -p:plugin:TARGET_VERSION=10.3.2.0]
Unable to instantiate GUI, defaulting to console mode.

A fatal error has occurred. This application will terminate.

Even though I state -mode=silent, It still tries to open a GUI.

EDIT: After fiddling with the enviroment settings I get another error aftre using the java command to upgrade:

2010-02-16 13:35:24,709 ERROR [inputAdapter_silent] com.bea.plateng.wizard.WizardController - Uncaught Exception
java.lang.ArrayIndexOutOfBoundsException: Array index out of range: 0
at weblogic.upgrade.domain.directoryselection.SelectWebLogicVersionPlugIn.validateInputAdapter(SelectWebLogicVersionPlugIn.java:50)
at com.bea.plateng.wizard.plugin.silent.tasks.InputAdapterSilentTask.execute(InputAdapterSilentTask.java:178)
at com.bea.plateng.wizard.silent.tasks.AbstractSilentTask.run(AbstractSilentTask.java:28)
at java.lang.Thread.run(Thread.java:736)


I have tried to find answers in fora and the oracle support site, but no such luck.
I'm really at a loss and I hope someone here will know how to continue.

Regards,

Michelle


Java N00B alert, please be nice ;)
 
I agree. Here's the link: http://aspose.com/file-tools
 
subject: problems upgrading domain from 10.1 to 10.3.2